## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-typeguard
Version:        2.13.3
Release:        %autorelease
Summary:        Run-time type checker for Python

# SPDX
License:        MIT
URL:            https://github.com/agronholm/typeguard
Source0:        %{pypi_source typeguard}

BuildArch:      noarch

%global common_description %{expand:
This library provides run-time type checking for functions defined with PEP 484
argument (and return) type annotations.}

%description %{common_description}


%package -n python3-typeguard
Summary:          %{summary}

BuildRequires:    python3-devel

# pyproject.toml setup_requires
BuildRequires:    python3-setuptools
# While pyproject.toml setup_requires has setuptools_scm[toml], this is
# required only when building from GitHub sources and/or via pyproject.toml,
# not when building from the PyPI sdist via setup.py.

# “test” extra:
BuildRequires:    python3-pytest
BuildRequires:    python3-typing-extensions
# Tests comparing against mypy output are too brittle—tightly coupled to
# particular mypy versions—so we skip them downstream. (Plus, there is no
# python3-mypy in EPEL8.)

%py_provides python3-typeguard

%description -n python3-typeguard %{common_description}


%prep
%autosetup -n typeguard-%{version}
rm -rf typeguard.egg-info
# older setuptools generates PKG-INFO with version=='0.0.0' unless specified
sed -i '/name = typeguard/a version = %{version}' setup.cfg


%build
%py3_build


%install
%py3_install


%check
# The test_cached_module test fails to find a byte-compiled .pyc module where
# it is expecting it. Manually byte-compiling the tests (%%py_byte_compile
# %%{python3} tests) doesn’t help. This is almost certainly specific to the RPM
# build environment and not a real bug.
#
# See also:
#   2.13.3: pytest is failing in three units
#   https://github.com/agronholm/typeguard/issues/248
k="${k-}${k+ and }not test_cached_module"

# Tests comparing against mypy output are too brittle—tightly coupled to
# particular mypy versions—so we skip them downstream. (Plus, there is no
# python3-mypy in EPEL8.)
k="${k-}${k+ and }not test_positive"
k="${k-}${k+ and }not test_negative"
%pytest -k "${k-}"


%files -n python3-typeguard
%license LICENSE
%doc README.rst

%{python3_sitelib}/typeguard/
%{python3_sitelib}/typeguard-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Aug 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> 2.13.3-2
- Clean up obsolete macros and stale dependencies/BR’s

* Wed Aug 17 2022 Michel Alexandre Salim <salimma@fedoraproject.org> 2.13.3-1
- Update to 2.13.3 (fixes: rhbz#2025745)

* Wed Aug 17 2022 Davide Cavalca <dcavalca@fedoraproject.org> 2.13.0-1
- Update to 2.13.0; Fixes: RHBZ#2012648

* Tue Jun 08 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.12.1-1
- Update to 2.12.1
- Gate out broken tests

* Thu Jan 14 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.10.0-2
- Fix egginfo on Fedora < 33 so the auto-generated Provides has the right version

* Mon Oct 26 2020 Christopher Brown <chris.brown@redhat.com> - 2.10.0-1
- Update to 2.10.0
- Remove conditional as python 3.9 now supported

* Mon Jul 6 2020 Christopher Brown <chris.brown@redhat.com> - 2.9.1-1
- Fix description
- Remove egg-info in prep
- Add conditional for python 3.9

* Wed May 27 2020 Christopher Brown <chris.brown@redhat.com> - 2.7.1-2
- Remove dep generator
- Simplify description
- Fix file glob

* Wed May 6 2020 Christopher Brown <chris.brown@redhat.com> - 2.7.1-1
- Initial package at 2.7.1

